﻿@{
    ViewBag.Title = "View Hospitals";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Default Modal</h4>
            </div>
            <div class="modal-body">
                

                   
                        <form class="form-horizontal">
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="inputHospName" class="col-sm-2 control-label" style="display:none;">CST No</label>

                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="cstNoId" style="display:none;">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputHospName" class="col-sm-2 control-label">Hospital's Name</label>

                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="inputHospName" placeholder="Enter ...">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputHospAddres" class="col-sm-2 control-label">Address</label>

                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="inputHospAddres" placeholder="Enter ...">
                                    </div>
                                </div>

                              
                            </div>

                        </form>

                   

               
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>



<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Hospitals' Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <i class="fa fa-pagelines"></i>
                            <h3 class="box-title">List of Hospitals</h3>

                            <div class="box-tools">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body table-responsive no-padding">
                            <table class="table table-hover" >
                                <tr>
                                    <th>CST ID</th>
                                    <th>Hospital Name</th>
                                    <th>Address</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                                <tbody id="hospital1">
                                   
                                  
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllHospitalData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#hospital1').append(' <tr id=' + list[i].cstno + '><td>' + list[i].cstno + '</td><td>' + list[i].name + '</td><td>' + list[i].addressHospital + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].cstno + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].cstno + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }
                    
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
    </script>
<!--for the hospital-->
<script>
    function getUpdate(id) {
        //alert(id);
        debugger;
        $('#'+id).each(function () {
            
            // do stuff for each td in here...
            debugger;
            var hospital = $(this).find("td").eq(1).html();
            var add = $(this).find("td").eq(2).html();
            $('#inputHospName').val(hospital);
            $('#inputHospAddres').val(add);
            $('#cstNoId').val(id);

            
            $("#modal-default").modal("show");

        })
    }

</script>


<!--call the ajax function Edit -->

<script>
    function ChangeValues(){
        $("#modal-default").modal("hide");
        debugger;
        var id = $('#cstNoId').val();
        var hsp=$('#inputHospName').val();
        var add= $('#inputHospAddres').val();

        $.ajax({
            url: '@Url.Action("EditHospital", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Id: id, Name:hsp, Address:add}),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });
    }
    
</script>


<!--call the ajax function Delete -->

<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteHospData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
